
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>[小米] 并查集 / iVAN</title>

    <meta name="description" content="[小米] 并查集 题目描述: 假如已知有n个人和m对好友关系(存于数字r).如果两个人是直接或间接的好友(好友的好友的好友-),则认为他们属于同一个朋友圈,请写程序求出这n个人里一共有多少个朋友圈. 假如:n = 5 , m = 3 , r = {{1 , 2} , {2 , 3} , {4 , 5}},表示有5个人,1和2是好友,2和3是好友,4和5是好友,则1.2.3属于一个朋友圈,4.5属于另一个朋友圈,结果为2个朋友圈. 输入: 输入包含多个测试用例,每个测试用例的第一行包含两个正整数 n.m,1=&lt ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">[小米] 并查集</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>题目描述： <br />
假如已知有n个人和m对好友关系（存于数字r）。如果两个人是直接或间接的好友（好友的好友的好友…），则认为他们属于同一个朋友圈，请写程序求出这n个人里一共有多少个朋友圈。 <br />
假如：n = 5 ， m = 3 ， r = {{1 , 2} , {2 , 3} , {4 , 5}}，表示有5个人，1和2是好友，2和3是好友，4和5是好友，则1、2、3属于一个朋友圈，4、5属于另一个朋友圈，结果为2个朋友圈。</p>
<p>输入： <br />
输入包含多个测试用例，每个测试用例的第一行包含两个正整数 n、m，<code>1=&lt;n，m&lt;=100000</code>。接下来有m行，每行分别输入两个人的编号<code>f，t（1=&lt;f，t&lt;=n）</code>，表示f和t是好友。 当n为0时，输入结束，该用例不被处理。</p>
<p>输出： <br />
对应每个测试用例，输出在这n个人里一共有多少个朋友圈。</p>
<p>样例输入： <br />
5 3 <br />
1 2 <br />
2 3 <br />
4 5 <br />
3 3 <br />
1 2 <br />
1 3 <br />
2 3 <br />
0 <br />
样例输出： <br />
2 <br />
1</p>
<h1>解题思路</h1>
<p>使用由多棵树组成的森林来解题，每棵树代表一个朋友圈。构建两个数组id和sz，id[x]表示x的根节点，sz[x]表示以x为根节点的树的结点个数。</p>
<ul>
<li>初始化：for i = 1 to personCount, id[i] = i, sz[i] = 1;</li>
<li>判断输入的一组关系，看两个结点是否位于同一棵树（根节点是否相同），如果不同，则将较小的树合并到较大的树（将小数根节点的根节点设为大树的根节点），同时将大树的结点个数设置为大树结点与小树结点之和。 <br />
（对于查找函数，为了加快查询速度，可以对路径进行压缩，即将结点的父节点设置为它的祖父结点） <br />
更详细思路：<a href="http://blog.csdn.net/dm_vincent/article/details/7655764" rel="external nofollow noreferrer">http://blog.csdn.net/dm_vincent/article/details/7655764</a></li>
</ul>
<h1>实现代码</h1>
<pre><code>#include &lt;iostream&gt;
using namespace std;

class UF
{
public:
    UF(int n)
    {
        id = new int[n];
        sz = new int[n];
        count = n - 1;
        for (int i = 0; i &lt; n; i++)
        {
            id[i] = i;
            sz[i] = 1;
        }
    }

    int getCount()
    {
        return count;
    }

    int findSet(int n)
    {
        while (n != id[n])
        {
            id[n] = id[id[n]];
            n = id[n];
        }

        return n;
    }

    void unionSet(int x, int y)
    {
        int dx = findSet(x);
        int dy = findSet(y);
        if (dx != dy)
        {
            count--;
            if (sz[dx] &gt; sz[dy])
            {
                id[dy] = dx;
                sz[dx] += sz[dy];
            }
            else
            {
                id[dx] = dy;
                sz[dy] += sz[dx];
            }
        }
    }
    ~UF()
    {
        delete [] id;
        delete [] sz;
    }
private:
    int *id;
    int *sz;
    int count;
};

int main()
{
    int personCount;
    while (cin&gt;&gt;personCount, personCount)
    {
        UF *uf = new UF(personCount + 1);
        int relationCount;
        cin&gt;&gt;relationCount;
        int x, y;
        for (int i = 0; i &lt; relationCount; i++)
        {
            cin&gt;&gt;x&gt;&gt;y;
            uf-&gt;unionSet(x, y);
        }
        cout&lt;&lt;uf-&gt;getCount()&lt;&lt;endl;
        delete uf;
    }
    return 0;
}</code></pre>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-29 17:21:10</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong>         </div> -->
	</section>
	
	

		<div id="similar">

		<h3>[小米] 并查集的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/rz471pv.html" rel="bookmark">图的生成树（森林）（克鲁斯卡尔Kruskal算法和普里姆Prim算法）、以及并查集的使用</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				图的连通性问题:无向图的连通分量和生成树,所有顶点均由边连接在一起,但不存在回路的图. 设图 G=(V, E) 是个连通图,当从图任一顶点出发遍历图G 时,将边集 E(G) 分成两个集合 T(G) 和 B(G).其中 T(G)是遍历图时所经过的边的集合,B(G) 是遍历图时未经过的边的集合.显然,G1(V, T) 是图 G 的极小连通子图,即子图G1 是连通图 G 的生成树. 深度优先生成森林   右边的是深度优先生成森林: 连通图的生成树不一定是唯一的,不同的遍历图的方法得到不同的生成树;从不			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M0Pxg6M.html" rel="bookmark">并查集&lpar;Disjoint Set&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在一些有N个元素的集合应用问题中,我们通常是在开始时让每个元素构成一个单元素的集合,然后按一定顺序将属于同一组的元素所在的集合合并,其间要反复查找一个元素在哪个集合中.这一类问题其特点是看似并不复杂,但数据量极大,若用正常的数据结构来描述的话,往往在空间上过大,计算机无法承受:即使在空间上勉强通过,运行的时间复杂度也极高,根本就不可能在规定的运行时间(1-3秒)内计算出试题需要的结果,只能用并查集来描述. 定义 并查集(Disjoint Set),即&quot;不相交集合&quot;,是一种树型的数据结构			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bEl7nLz.html" rel="bookmark">HDU 3038 How Many Answers Are Wrong&quest; ：带权并查集</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				链接: http://acm.hdu.edu.cn/showproblem.php?pid=3038 题目: Problem Description TT and FF are ... friends. Uh... very very good friends -________-b FF is a bad boy, he is always wooing TT to play the following game with him. This is a very humdrum game. T			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MqL20eb.html" rel="bookmark">poj 1456 Supermarket：贪心， 并查集</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				链接: http://poj.org/problem?id=1456 题目: Description A supermarket has a set Prod of products on sale. It earns a profit px for each product x∈Prod sold by a deadline dx that is measured as an integral number of time units starting from the moment the			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p5Awr7p.html" rel="bookmark">HDU 2818 Building Block&comma; poj 1988 Cube Stacking：带权并查集</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				链接: HDU: http://acm.hdu.edu.cn/showproblem.php?pid=2818 POJ:  http://poj.org/problem?id=1988 题目: Problem Description John are playing with blocks. There are N blocks (1 &lt;= N &lt;= 30000) numbered 1...N.Initially, there are N piles, and each pile contai			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M91vAXM.html" rel="bookmark">并查集UFSet类</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				/* Name: 并查集UFSet类 Copyright: 始发于goal00001111的专栏:允许自由转载,但必须注明作者和出处 Author: goal00001111 Date: 23-12-08 15:21 Description: 实现了普通的查找和合并的算法,也实现了压缩路径和按大小求并高效 算法,并对两者进行了测试比较. 有关算法的分析讨论详见拙作&lt;一种简单而有趣的数据结构--并查集&gt;: http://blog.csdn.net/goal00001111/archive/200			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M62keoM.html" rel="bookmark">poj 1611 The Suspects：并查集</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				链接: http://poj.org/problem?id=1611 题目: The Suspects Time Limit: 1000MS   Memory Limit: 20000K Total Submissions: 15926   Accepted: 7622 Description Severe acute respiratory syndrome (SARS), an atypical pneumonia of unknown aetiology, was recognized a			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zJ7wZDb.html" rel="bookmark">poj 1703 Find them&comma; Catch them：种类并查集</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				链接: http://poj.org/problem?id=1703 题目: Find them, Catch them Time Limit: 1000MS   Memory Limit: 10000K Total Submissions: 22289   Accepted: 6648 Description The police office in Tadu City decides to say ends to the chaos, as launch actions to root up			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MW1xXrz.html" rel="bookmark">poj 1182 食物链：经典！种类并查集</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				链接: http://poj.org/problem?id=1182 原题: Description 动物王国中有三类动物A,B,C,这三类动物的食物链构成了有趣的环形.A吃B, B吃C,C吃A. 现有N个动物,以1-N编号.每个动物都是A,B,C中的一种,但是我们并不知道它到底是哪一种. 有人用两种说法对这N个动物所构成的食物链关系进行描述: 第一种说法是&quot;1 X Y&quot;,表示X和Y是同类. 第二种说法是&quot;2 X Y&quot;,表示X吃Y. 此人对N个动物,用上述两种说法,			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/1MvGG8p.html" rel="bookmark" class="title">android 基站定位，gps定位问题</a>
					<div>
						问题描述 android 基站定位,gps定位问题 要做定位,研究了好久,但是就是定位不成功,基站定位没有结果,gps定位location为空,求大神指点啊,到底我能不能定位啊. 解决方案 用百度地图 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/apX91jz.html" rel="bookmark" class="title">SQL Server Express 数据库自动部署问题及解决</a>
					<div>
						express|server|解决|数据|数据库|问题 这几天做了一个程序,VS 2005 + SQL Server Express,仔细查阅文档,发现 SQL Server Express 支持 X ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/vbQ5dGb.html" rel="bookmark" class="title">Flash游戏开发系列一：游戏中的敌人１</a>
					<div>
						对于目前的 Flash 来说,开发一些像模像样的游戏并不是什么奇怪的事情了.我这里所涉及到的内容和开发游戏有关,但是都是一些比较基本的知识.如果您是游戏开发方面的高手,那么完全可以忽略我这里所描述的内 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/XMl7RDb.html" rel="bookmark" class="title">实例网站收录急速下降的三大原因</a>
					<div>
						在网站优化中对站长打击最大的就是网站排名下降,而第二大打击的就是看着网站的收录量每天都在下降,更可怕的是网站收录量一下子减少大半.而笔者不幸,也遭到这种情况.相对而言,笔者的网站收录量下降是有原因,并 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMyL64b.html" rel="bookmark" class="title">C标准库参考指南（4）float&period;h</a>
					<div>
						4. float.h 浮点数头文件定义了一个浮点数值的上下限. 4.1. Defined Values 浮点数以下面的方式定义. sign value E exponent 其中sign是正号或者负号 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXB1lAb.html" rel="bookmark" class="title">php源代码安装常见错误与解决办法</a>
					<div>
						 错误:configure: error: libevent &gt;= 1.4.11 could not be found 解决:yum -y install libevent libevent-d ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MW1gyEz.html" rel="bookmark" class="title">中华浏览器扫描二维码在哪里</a>
					<div>
						  1)打开中华浏览器进入,然后再点击页面下方[三],按箭头方向向左划动两次. 2)进入后再点击[扫描二维码]即可.         注:更多精彩教程请关注三联手机教程栏目,三联手机数码群:29660 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBKm4oM.html" rel="bookmark" class="title">百度指数地区比较检索怎么用</a>
					<div>
						  选定一个关键词和一个时间段,时间默认为&quot;当月&quot;,选择地区对比单选按钮,点击+号添加多个地区,目前,百度指数最多支持3个地区对比检索,例如,您选择&quot;网上银行 北京,上海 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQrm7ZM.html" rel="bookmark" class="title">link环境下制作一款《订餐软件》，协单一旦作废，那么停止允许复单的录入，请问怎么实现？</a>
					<div>
						问题描述 link环境下制作一款&lt;订餐软件&gt;,协单一旦作废,那么停止允许复单的录入,请问怎么实现? link环境下制作一款&lt;订餐软件&gt;,协单一旦作废,那么停止允许复单的录入,请 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOlgVqb.html" rel="bookmark" class="title">iOS给UIButton的扩展</a>
					<div>
						// // UIButton+Common.h // XiaoYaoUser // // Created by 黄仪标 on 14/12/4. // Copyright (c) 2014年 xiaoy ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqAP3ZM.html" rel="bookmark" class="title">串口 modem协议-Xmodem1K 串口传输怎么实现啊？</a>
					<div>
						问题描述 Xmodem1K 串口传输怎么实现啊? 最近公司让搞一个串口助手,Xmodem实现不太懂,现在可以向串口发数据,但是在按钮事件中循环发送数据总是没有办法等待传回的命令,在进行下一步操作,哪位 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqA6gOM.html" rel="bookmark" class="title">python numpy 提取数组问题</a>
					<div>
						问题描述 python numpy 提取数组问题 a=[123456] 现要取数组,每三个为一组,取出下面这样: l1=[123] l2=[234] l3=[345] l4=[456] 就是这种取法. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrXNGOz.html" rel="bookmark" class="title">《软件测试技术实战：设计、工具及管理》&mdash;第1章 1&period;1节软件测试的基本理论</a>
					<div>
						第1篇 软件测试设计技术 软件测试技术实战:设计.工具及管理 如何把用户的需求转换为软件测试设计,这是软件测试工程师的工作重心所在.本书第一篇通过6个章节来讲述一下如何进行软件测试设计. 本篇共分以下 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z40VB1z.html" rel="bookmark" class="title">中国新电信组建成立大数据创新联盟，凝聚智慧，共赢发展</a>
					<div>
						以互联网及大数据业务为重点的中国新电信集团(香港联交所股份代号:8167)宣布,集团中国区于2017年9月27日在深圳中国区总部组建成立&quot;中国新电信集团大数据创新专家联盟&quot;,以政府 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXqaBAz.html" rel="bookmark" class="title">freemarker无法输出java的字符串值</a>
					<div>
						问题描述 freemarker无法输出java的字符串值 数据库字段是用blob存储的,用java的new String(字段名utf-8&quot;&quot;)的方式输出,在java端获取到的字符 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyWv3Jz.html" rel="bookmark" class="title">iframe框架自适应高度多种方法介绍</a>
					<div>
						HTML代码:  代码如下 复制代码 &lt;iframe src=&quot;http://www.fufuok.com/&quot; id=&quot;iframepage&quot; name= ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MW7kdGM.html" rel="bookmark" class="title">android-基于GoogleFit的移动用户健康数据采集软件</a>
					<div>
						问题描述 基于GoogleFit的移动用户健康数据采集软件 希望各位能给出一些思路,关于怎么运用Google fit,以及怎么实现于第三方设备的交互. 解决方案 通过 Android SDK Mana ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boLwYjM.html" rel="bookmark" class="title">文件上传的问题</a>
					<div>
						问题描述 文件上传:packagecn.itcast.shop.model;importjava.io.File;publicclassFileImage{privateFilefile;privat ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlAVe8p.html" rel="bookmark" class="title">三至五年移动互联用户将超传统互联网</a>
					<div>
						9月11日,第十一届中国互联网大会在北京隆重开幕,本届大会主题为&quot;开放·诚信·融合迎接移动互联新时代&quot;.会议过程中,与会嘉宾就互联网行业未来发展,以及近期备受关注的视频网站合并及& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7wKDAz.html" rel="bookmark" class="title">使用百度手机助手的免费wifi服务</a>
					<div>
						钻研移动.联通.电信各种流量套餐,把每KB流量费用精确到小数点后四位:流连于麦当劳.星巴克各种蹭网--为省手机流量,大家至于这么拼么?在机智的智能手机达人眼里,只需一招即可摆脱流量困扰轻松做土豪,那就 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRdaY8z.html" rel="bookmark" class="title">&amp;amp&semi;&num;39&semi;hibernate&period;dialect&amp;amp&semi;&num;39&semi; must be set when no Connection available</a>
					<div>
						今天碰到的这个问题,很无厘头,网上搜索了很多,都不靠谱,还是靠自己 解决方法是在hibernate.cfg.xml中添加 &lt;property name=&quot;dialect&quot;&g ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrvZqjM.html" rel="bookmark" class="title">UC享受豪华待遇 将成为阿里的&OpenCurlyDoubleQuote;微信&rdquo;？</a>
					<div>
						中介交易 SEO诊断 淘宝客 云主机 技术大厅 网易科技讯 6月11日消息,阿里巴巴集团与UC优视联合宣布,UC优视全资融入阿里巴巴集团,并组建阿里UC移动事业群.UC优视董事长兼CEO俞永福将担任U ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZR025z.html" rel="bookmark" class="title">小企业的大数据：一站式数据管理</a>
					<div>
						7月22日消息,美国有句谚语&quot;除了上帝,任何人都必须用http://www.aliyun.com/zixun/aggregation/8319.html&quot;&gt;数据说话&quot ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZRKv4z.html" rel="bookmark" class="title">给一些非科班从培训机构出来的小伙伴们的建议</a>
					<div>
						              大致情况:楼主最初是数控之类的工业的一个机械Coder在一家世界500强的公司做了大概几个月之后离职了,觉得三班倒的生活不是我想要的,然后就放弃了已经一年税后9万的工作.  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0OVPDb.html" rel="bookmark" class="title">meifena</a>
					<div>
						问题描述 woxiangyaohe 解决方案 解决方案二: 解决方案三:沉下去啦顶起来					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0OmN0b.html" rel="bookmark" class="title">百度手机浏览器T5内核 加速HTML5生态圈</a>
					<div>
						中介交易 SEO诊断 淘宝客 云主机 技术大厅 毫无疑问,Adobe公司的Flash是互联网进化到多媒体时代的一个强大推手,以前单纯由文字和图片组成的网页现在变成了音画俱全,但糟糕的3D性能和运行效率 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRXrd8z.html" rel="bookmark" class="title">Python快速学习02：基本数据类型 &amp;amp&semi; 序列</a>
					<div>
						基本数据类型 变量不需要声明 a=10 # int 整数 a=1.3 # float 浮点数 a=True # 真值 (True/False) a='Hello!' # 字符串 例子 a=10 pri ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3W05gb.html" rel="bookmark" class="title">咨询公司CEO张庆放任管儿子放权管公司</a>
					<div>
						在不触及底线.原则的前提下, 张庆希望儿子和公司都能在自由的空间下&quot;放开式&quot;成长. 采访·撰文/张珂 摄影/徐胤 &quot;我们家有个不成文的规定:禁止夸孩子听话.&quot;关 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4WgZrp.html" rel="bookmark" class="title">天地图北京即将上线：可网查车位 支持模糊搜索</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 北京&quot;天地图&quot; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1BqGxp.html" rel="bookmark" class="title">Photoshop制作新年文字贺卡图片教程</a>
					<div>
						  1.选择&quot;文件/新建&quot;菜单,打开&quot;新建&quot;或者Ctrl+N对话框 名称为:happy new year,宽度:为800像素, 高度:为600像素, &quot ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 12 q. 0.029 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
